Bug 580343 - reposync downloads gzipped comps.xml but saves it with the wrong name.
reposync downloads gzipped comps.xml but saves it with the wrong name.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-07 23:14 EDT by Ian Mortimer
Modified: 2014-01-21 18:14 EST (History)
5 users (show)

See Also:
Fixed In Version: yum-utils-1.1.27-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-12 13:26:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Mortimer 2010-04-07 23:14:34 EDT
Description of problem:
reposync with the -m (--downloadcomps) option fetches comps.xml.gz but saves it as comps.xml without decompression.

Version-Release number of selected component (if applicable):
yum-utils-1.1.26-1.fc12.noarch

How reproducible:
Always


Steps to Reproduce:
1. run reposync with -m (--downloadcomps) option
2.
3.
  
Actual results:
A file called comps.xml is copied but `file comps.xml' shows it's compressed and and matches the sha256 sum of comps.xml.gz on the source.


Expected results:
Either the file should be named comps.xml.gz or should be decompressed before saving as comps.xml.


Additional info:
It's easily worked around so not a serious problem but potentially confusing at first.
Comment 1 seth vidal 2010-04-09 17:00:28 EDT
Can you test a patched reposync for me?

Please test this patch:
http://skvidal.fedorapeople.org/patches/reposync-comps_gz-download.patch
Comment 2 Ian Mortimer 2010-04-11 20:34:49 EDT
The patched reposync works fine: uncompressed comps.xml deposited in the root of the repo tree.


Thanks
--
Ian
Comment 3 Marcos Saraiva 2010-04-20 16:14:03 EDT
Hi,

The patch works. Is this going to be fixed upstream?

(In reply to comment #1)
> Can you test a patched reposync for me?
> 
> Please test this patch:
> http://skvidal.fedorapeople.org/patches/reposync-comps_gz-download.patch
Comment 4 Ian Mortimer 2010-04-20 17:49:25 EDT
(In reply to comment #3)

> The patch works. Is this going to be fixed upstream?

The status is "CLOSED UPSTREAM" so presumably it is fixed upstream.
Comment 5 Fedora Update System 2010-06-06 09:45:00 EDT
yum-utils-1.1.27-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/yum-utils-1.1.27-1.fc13
Comment 6 Fedora Update System 2010-06-14 13:20:23 EDT
yum-utils-1.1.27-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.